1 # Makefile.in generated by automake 1.11 from Makefile.am.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Free Software
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
18 # Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003, 2004, 2005,
19 # 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc.
21 # This program is free software; you can redistribute it and/or modify
22 # it under the terms of the GNU General Public License as published by
23 # the Free Software Foundation; either version 2, or (at your option)
26 # This program is distributed in the hope that it will be useful,
27 # but WITHOUT ANY WARRANTY; without even the implied warranty of
28 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
29 # GNU General Public License for more details.
31 # You should have received a copy of the GNU General Public License
32 # along with this program. If not, see <http://www.gnu.org/licenses/>.
34 pkgdatadir = $(datadir)/@PACKAGE@
35 pkgincludedir = $(includedir)/@PACKAGE@
36 pkglibdir = $(libdir)/@PACKAGE@
37 pkglibexecdir = $(libexecdir)/@PACKAGE@
38 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
39 install_sh_DATA = $(install_sh) -c -m 644
40 install_sh_PROGRAM = $(install_sh) -c
41 install_sh_SCRIPT = $(install_sh) -c
42 INSTALL_HEADER = $(INSTALL_DATA)
43 transform = $(program_transform_name)
50 build_triplet = @build@
51 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
52 $(srcdir)/aclocal.in $(srcdir)/automake.in $(srcdir)/defs.in \
53 $(srcdir)/parallel-tests.am
55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56 am__aclocal_m4_deps = $(top_srcdir)/m4/amversion.m4 \
57 $(top_srcdir)/m4/auxdir.m4 $(top_srcdir)/m4/init.m4 \
58 $(top_srcdir)/m4/install-sh.m4 $(top_srcdir)/m4/lead-dot.m4 \
59 $(top_srcdir)/m4/missing.m4 $(top_srcdir)/m4/mkdirp.m4 \
60 $(top_srcdir)/m4/options.m4 $(top_srcdir)/m4/runlog.m4 \
61 $(top_srcdir)/m4/sanity.m4 $(top_srcdir)/m4/strip.m4 \
62 $(top_srcdir)/m4/substnot.m4 $(top_srcdir)/m4/tar.m4 \
63 $(top_srcdir)/configure.ac
64 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
66 mkinstalldirs = $(SHELL) $(top_srcdir)/lib/mkinstalldirs
67 CONFIG_CLEAN_FILES = defs aclocal-${APIVERSION} automake-${APIVERSION}
68 CONFIG_CLEAN_VPATH_FILES =
71 # If stdout is a non-dumb tty, use colors. If test -t is not supported,
72 # then this fails; a conservative approach. Of course do not redirect
73 # stdout here, just stderr.
75 red=; grn=; lgn=; blu=; std=; \
76 test "X$(AM_COLOR_TESTS)" != Xno \
77 && test "X$$TERM" != Xdumb \
78 && { test "X$(AM_COLOR_TESTS)" = Xalways || test -t 1 2>/dev/null; } \
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
93 am__nobase_strip_setup = \
94 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
96 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98 for p in $$list; do echo "$$p $$p"; done | \
99 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101 if (++n[$$2] == $(am__install_max)) \
102 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103 END { for (dir in files) print dir, files[dir] }'
105 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 # Restructured Text title and section.
108 am__rst_title = sed 's/.*/ & /;h;s/./=/g;p;x;p;g;p;s/.*//'
109 am__rst_section = sed 'p;s/./=/g;p;g'
110 # Put stdin (possibly several lines separated by ". ") in a box.
111 am__text_box = $(AWK) '{ \
112 n = split($$0, lines, "\\. "); max = 0; \
113 for (i = 1; i <= n; ++i) \
114 if (max < length(lines[i])) \
115 max = length(lines[i]); \
116 for (i = 0; i < max; ++i) line = line "="; \
118 for (i = 1; i <= n; ++i) if (lines[i]) print lines[i];\
121 # Solaris 10 'make', and several other traditional 'make' implementations,
122 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
123 # by disabling -e (using the XSI extension "set +e") if it's set.
124 am__sh_e_setup = case $$- in *e*) set +e;; esac
125 # To be inserted before the command running the test. Creates the
126 # directory for the log if needed. Stores in $dir the directory
127 # containing $f, in $tst the test, in $log the log, and passes
128 # TESTS_ENVIRONMENT. Save and restore TERM around use of
129 # TESTS_ENVIRONMENT, in case that unsets it.
132 $(am__vpath_adj_setup) $(am__vpath_adj) \
133 srcdir=$(srcdir); export srcdir; \
135 am__trap='rm -f '\''$(abs_builddir)/$@-t'\''; (exit $$st); exit $$st'; \
136 trap "st=129; $$am__trap" 1; trap "st=130; $$am__trap" 2; \
137 trap "st=141; $$am__trap" 13; trap "st=143; $$am__trap" 15; \
138 am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`; \
139 test "x$$am__odir" = x. || $(MKDIR_P) "$$am__odir" || exit $$?; \
140 if test -f "./$$f"; then dir=./; \
141 elif test -f "$$f"; then dir=; \
142 else dir="$(srcdir)/"; fi; \
143 tst=$$dir$$f; log='$@'; __SAVED_TERM=$$TERM; \
145 RECHECK_LOGS = $(TEST_LOGS)
146 AM_RECURSIVE_TARGETS = check check-html recheck recheck-html
147 TEST_SUITE_LOG = test-suite.log
148 TEST_SUITE_HTML = $(TEST_SUITE_LOG:.log=.html)
149 TEST_EXTENSIONS = .test
150 am__test_logs1 = $(TESTS:=.log)
151 TEST_LOGS = $(am__test_logs1:.test.log=.log)
152 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
154 TEST_LOGS_TMP = $(TEST_LOGS:.log=.log-t)
155 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
158 APIVERSION = @APIVERSION@
159 AUTOCONF = @AUTOCONF@
160 AUTOHEADER = @AUTOHEADER@
161 AUTOMAKE = @AUTOMAKE@
163 CYGPATH_W = @CYGPATH_W@
171 HELP2MAN = @HELP2MAN@
173 INSTALL_DATA = @INSTALL_DATA@
174 INSTALL_PROGRAM = @INSTALL_PROGRAM@
175 INSTALL_SCRIPT = @INSTALL_SCRIPT@
176 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
180 LTLIBOBJS = @LTLIBOBJS@
181 MAKEINFO = @MAKEINFO@
183 MODIFICATION_DELAY = @MODIFICATION_DELAY@
185 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
186 PACKAGE_NAME = @PACKAGE_NAME@
187 PACKAGE_STRING = @PACKAGE_STRING@
188 PACKAGE_TARNAME = @PACKAGE_TARNAME@
189 PACKAGE_URL = @PACKAGE_URL@
190 PACKAGE_VERSION = @PACKAGE_VERSION@
191 PATH_SEPARATOR = @PATH_SEPARATOR@
193 PERL_THREADS = @PERL_THREADS@
194 SET_MAKE = @SET_MAKE@
199 abs_builddir = @abs_builddir@
200 abs_srcdir = @abs_srcdir@
201 abs_top_builddir = @abs_top_builddir@
202 abs_top_srcdir = @abs_top_srcdir@
203 am_AUTOCONF = @am_AUTOCONF@
204 am_AUTOHEADER = @am_AUTOHEADER@
205 am__leading_dot = @am__leading_dot@
207 am__untar = @am__untar@
210 build_alias = @build_alias@
211 build_cpu = @build_cpu@
212 build_os = @build_os@
213 build_vendor = @build_vendor@
214 builddir = @builddir@
216 datarootdir = @datarootdir@
219 exec_prefix = @exec_prefix@
220 host_alias = @host_alias@
222 includedir = @includedir@
224 install_sh = @install_sh@
226 libexecdir = @libexecdir@
227 localedir = @localedir@
228 localstatedir = @localstatedir@
231 oldincludedir = @oldincludedir@
233 pkgvdatadir = @pkgvdatadir@
235 program_transform_name = @program_transform_name@
238 sh_errexit_works = @sh_errexit_works@
239 sharedstatedir = @sharedstatedir@
241 sysconfdir = @sysconfdir@
242 target_alias = @target_alias@
243 top_build_prefix = @top_build_prefix@
244 top_builddir = @top_builddir@
245 top_srcdir = @top_srcdir@
276 MAINTAINERCLEANFILES = $(parallel_tests)
400 compile_f90_c_cxx.test \
401 compile_f_c_cxx.test \
514 distcleancheck.test \
611 instdir-python.test \
617 instfail-libtool.test \
623 instmany-python.test \
730 nobase-libtool.test \
771 parallel-tests.test \
772 parallel-tests2.test \
773 parallel-tests3.test \
774 parallel-tests4.test \
775 parallel-tests5.test \
776 parallel-tests6.test \
777 parallel-tests7.test \
778 parallel-tests8.test \
779 parallel-tests9.test \
780 parallel-tests10.test \
897 subdirbuiltsources.test \
1021 EXTRA_DIST = ChangeLog-old gen-parallel-tests $(TESTS)
1023 # Each test case depends on defs, aclocal, and automake.
1024 check_SCRIPTS = defs aclocal-$(APIVERSION) automake-$(APIVERSION)
1028 .SUFFIXES: .html .log .test
1029 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(srcdir)/parallel-tests.am $(am__configure_deps)
1030 @for dep in $?; do \
1031 case '$(am__configure_deps)' in \
1033 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
1034 && { if test -f $@; then exit 0; else break; fi; }; \
1038 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
1039 $(am__cd) $(top_srcdir) && \
1040 $(AUTOMAKE) --gnu tests/Makefile
1042 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1045 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
1047 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
1048 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
1051 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1052 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1054 $(top_srcdir)/configure: $(am__configure_deps)
1055 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1056 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
1057 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1058 $(am__aclocal_m4_deps):
1059 defs: $(top_builddir)/config.status $(srcdir)/defs.in
1060 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
1061 aclocal-${APIVERSION}: $(top_builddir)/config.status $(srcdir)/aclocal.in
1062 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
1063 automake-${APIVERSION}: $(top_builddir)/config.status $(srcdir)/automake.in
1064 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
1072 # To be appended to the command running the test. Handle the stdout
1073 # and stderr redirection, and catch the exit status.
1077 if test -n '$(DISABLE_HARD_ERRORS)' \
1078 && test $$estatus -eq 99; then \
1081 TERM=$$__SAVED_TERM; export TERM; \
1082 $(am__tty_colors); \
1084 case " $(XFAIL_TESTS) " in \
1085 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
1088 case $$estatus:$$xfailed in \
1089 0:XFAIL) col=$$red; res=XPASS;; \
1090 0:*) col=$$grn; res=PASS ;; \
1091 77:*) col=$$blu; res=SKIP ;; \
1092 99:*) col=$$red; res=FAIL ;; \
1093 *:XFAIL) col=$$lgn; res=XFAIL;; \
1094 *:*) col=$$red; res=FAIL ;; \
1096 echo "$${col}$$res$${std}: $$f"; \
1097 echo "$$res: $$f (exit: $$estatus)" | \
1098 $(am__rst_section) >$@; \
1102 $(TEST_SUITE_LOG): $(TEST_LOGS)
1103 @$(am__sh_e_setup); \
1104 list='$(TEST_LOGS)'; \
1105 results=`for f in $$list; do \
1106 read line < $$f && echo "$$line" || echo FAIL; \
1108 all=`echo "$$results" | sed '/^$$/d' | wc -l | sed -e 's/^[ ]*//'`; \
1109 fail=`echo "$$results" | grep -c '^FAIL'`; \
1110 pass=`echo "$$results" | grep -c '^PASS'`; \
1111 skip=`echo "$$results" | grep -c '^SKIP'`; \
1112 xfail=`echo "$$results" | grep -c '^XFAIL'`; \
1113 xpass=`echo "$$results" | grep -c '^XPASS'`; \
1114 failures=`expr $$fail + $$xpass`; \
1115 all=`expr $$all - $$skip`; \
1116 if test "$$all" -eq 1; then tests=test; All=; \
1117 else tests=tests; All="All "; fi; \
1118 case fail=$$fail:xpass=$$xpass:xfail=$$xfail in \
1119 fail=0:xpass=0:xfail=0) \
1120 msg="$$All$$all $$tests passed. "; \
1122 fail=0:xpass=0:xfail=*) \
1123 msg="$$All$$all $$tests behaved as expected"; \
1124 if test "$$xfail" -eq 1; then xfailures=failure; \
1125 else xfailures=failures; fi; \
1126 msg="$$msg ($$xfail expected $$xfailures). "; \
1128 fail=*:xpass=0:xfail=*) \
1129 msg="$$fail of $$all $$tests failed. "; \
1131 fail=*:xpass=*:xfail=*) \
1132 msg="$$failures of $$all $$tests did not behave as expected"; \
1133 if test "$$xpass" -eq 1; then xpasses=pass; \
1134 else xpasses=passes; fi; \
1135 msg="$$msg ($$xpass unexpected $$xpasses). "; \
1138 echo >&2 "incorrect case"; exit 4;; \
1140 if test "$$skip" -ne 0; then \
1141 if test "$$skip" -eq 1; then \
1142 msg="$$msg($$skip test was not run). "; \
1144 msg="$$msg($$skip tests were not run). "; \
1148 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1152 echo ".. contents:: :depth: 2"; \
1154 for f in $$list; do \
1158 *) echo; cat $$f;; \
1161 } >$(TEST_SUITE_LOG).tmp; \
1162 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1163 if test "$$failures" -ne 0; then \
1164 msg="$${msg}See $(subdir)/$(TEST_SUITE_LOG). "; \
1165 if test -n "$(PACKAGE_BUGREPORT)"; then \
1166 msg="$${msg}Please report to $(PACKAGE_BUGREPORT). "; \
1169 test x"$$VERBOSE" = x || $$exit || cat $(TEST_SUITE_LOG); \
1170 $(am__tty_colors); \
1172 echo $(ECHO_N) "$$grn$(ECHO_C)"; \
1174 echo $(ECHO_N) "$$red$(ECHO_C)"; \
1176 echo "$$msg" | $(am__text_box); \
1177 echo $(ECHO_N) "$$std$(ECHO_C)"; \
1180 # Run all the tests.
1182 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1183 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1184 @list='$(TEST_LOGS)'; \
1185 { echo "TEST_LOGS = \\"; \
1186 for f in $$list; do test .log = $$f || echo "$$f \\"; done; \
1187 } | sed '$$s/\\$$//' \
1188 | $(MAKE) -f Makefile -f - $(AM_MAKEFLAGS) $(TEST_SUITE_LOG)
1191 @list='$(RST2HTML) $$RST2HTML rst2html rst2html.py'; \
1192 for r2h in $$list; do \
1193 if ($$r2h --version) >/dev/null 2>&1; then \
1197 if test -z "$$R2H"; then \
1198 echo >&2 "cannot find rst2html, cannot create $@"; \
1204 # Be sure to run check first, and then to convert the result.
1205 # Beware of concurrent executions. Run "check" not "check-TESTS", as
1206 # check-SCRIPTS and other dependencies are rebuilt by the former only.
1207 # And expect check to fail.
1209 @if $(MAKE) $(AM_MAKEFLAGS) check; then \
1210 rv=0; else rv=$$?; \
1212 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4; \
1214 recheck recheck-html:
1215 @target=`echo $@ | sed 's,^re,,'`; \
1216 list='$(TEST_LOGS)'; \
1217 list=`for f in $$list; do \
1218 test -f $$f || continue; \
1219 if read line < $$f; then \
1220 case $$line in FAIL*|XPASS*) echo $$f;; esac; \
1221 else echo $$f; fi; \
1222 done | tr '\012\015' ' '`; \
1223 list=`echo "$$list" | sed 's/ *$$//'`; \
1224 $(MAKE) $(AM_MAKEFLAGS) $$target AM_MAKEFLAGS='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
1226 @p='$<'; $(am__check_pre) $(TEST_LOG_COMPILE) "$$tst" $(am__check_post)
1228 distdir: $(DISTFILES)
1229 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1230 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1231 list='$(DISTFILES)'; \
1232 dist_files=`for file in $$list; do echo $$file; done | \
1233 sed -e "s|^$$srcdirstrip/||;t" \
1234 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1235 case $$dist_files in \
1236 */*) $(MKDIR_P) `echo "$$dist_files" | \
1237 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1240 for file in $$dist_files; do \
1241 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1242 if test -d $$d/$$file; then \
1243 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1244 if test -d "$(distdir)/$$file"; then \
1245 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1247 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1248 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1249 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1251 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1253 test -f "$(distdir)/$$file" \
1254 || cp -p $$d/$$file "$(distdir)/$$file" \
1259 $(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
1260 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1265 install-exec: install-exec-am
1266 install-data: install-data-am
1267 uninstall: uninstall-am
1270 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1272 installcheck: installcheck-am
1274 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1275 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1276 `test -z '$(STRIP)' || \
1277 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1278 mostlyclean-generic:
1279 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1280 -test -z "$(TEST_LOGS_TMP)" || rm -f $(TEST_LOGS_TMP)
1281 -test -z "$(TEST_SUITE_HTML)" || rm -f $(TEST_SUITE_HTML)
1282 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1287 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1288 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1290 maintainer-clean-generic:
1291 @echo "This command is intended for maintainers to use"
1292 @echo "it deletes files that may require special tools to rebuild."
1293 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1296 clean-am: clean-generic clean-local mostlyclean-am
1298 distclean: distclean-am
1300 distclean-am: clean-am distclean-generic
1316 install-dvi: install-dvi-am
1322 install-html: install-html-am
1326 install-info: install-info-am
1332 install-pdf: install-pdf-am
1336 install-ps: install-ps-am
1342 maintainer-clean: maintainer-clean-am
1344 maintainer-clean-am: distclean-am maintainer-clean-generic
1346 mostlyclean: mostlyclean-am
1348 mostlyclean-am: mostlyclean-generic
1360 .MAKE: check-am check-html install-am install-strip recheck \
1363 .PHONY: all all-am check check-TESTS check-am check-html clean \
1364 clean-generic clean-local distclean distclean-generic distdir \
1365 dvi dvi-am html html-am info info-am install install-am \
1366 install-data install-data-am install-dvi install-dvi-am \
1367 install-exec install-exec-am install-html install-html-am \
1368 install-info install-info-am install-man install-pdf \
1369 install-pdf-am install-ps install-ps-am install-strip \
1370 installcheck installcheck-am installdirs maintainer-clean \
1371 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1372 pdf-am ps ps-am recheck recheck-html uninstall uninstall-am
1375 $(srcdir)/parallel-tests.am: gen-parallel-tests Makefile.am
1376 (cd $(srcdir) && $(SHELL) ./gen-parallel-tests) >$@
1378 $(parallel_tests): $(parallel_tests:-p.test=.test) Makefile.am
1379 input=`echo $@ | sed 's,.*/,,; s,-p.test$$,.test,'`; \
1380 sed 's|^\. \./defs.*|parallel_tests=yes; &|' \
1381 < $(srcdir)/$$input >$@
1384 clean-local: clean-local-check
1385 .PHONY: clean-local-check
1387 -set x *.dir; shift; \
1388 if test "$$#,$$1" = "1,*.dir"; then \
1389 : there is no test directory to clean; \
1391 find "$$@" -type d '!' -perm -200 -exec chmod u+w {} ';'; \
1395 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1396 # Otherwise a system limit (for SysV at least) may be exceeded.